Subject: Re: [PATCH, net-next, v3] ibmvnic: store RX and TX subCRQ handle array in ibmvnic_adapter struct

From: Jesse Brandeburg <[email-masked]>
Date: Wed, 19 Aug 2020 12:46:21 -0700

Cristobal Forno wrote:

> Currently the driver reads RX and TX subCRQ handle array directly from
> a DMA-mapped buffer address when it needs to make a H_SEND_SUBCRQ
> hcall. This patch stores that information in the ibmvnic_sub_crq_queue
> structure instead of reading from the buffer received at login. The
> overall goal of this patch is to parse relevant information from the
> login response buffer and store it in the driver's private data
> structures so that we don't need to read directly from the buffer and
> can then free up that memory.
> 
> Signed-off-by: Cristobal Forno <[email-masked]>

LGTM, as long as this isn't a bug fix, net-next is fine for this.

Reviewed-by: Jesse Brandeburg <[email-masked]>